> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://api.alsona.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://api.alsona.com/_mcp/server.

# Update thread

PUT https://alsona.com/rest/accounts/{account_id}/seats/{seat_id}/inbox/email/threads/{thread_id}
Content-Type: application/json

Update a thread.

Reference: https://api.alsona.com/api-reference/inbox/email/threads/update-thread

## Authentication

- `X-API-KEY` header (required)

## Request

### Path parameters

- `account_id` (string, required)
- `seat_id` (string, required)
- `thread_id` (string, required)

### Body (application/json)

- `thread` (object, required)
  - `labels` (list of string, required)
  - `unread` (boolean, required)

## Response

### 200

Successful response

## Examples

**Request**

```json
{
  "thread": {
    "labels": [
      "inbox-leads"
    ],
    "unread": false
  }
}
```

**Response**

```json
{}
```

**SDK Code**

```python
import requests

url = "https://alsona.com/rest/accounts/account_id/seats/seat_id/inbox/email/threads/thread_id"

payload = { "thread": {
        "labels": ["inbox-leads"],
        "unread": False
    } }
headers = {
    "X-API-KEY": "<apiKey>",
    "Content-Type": "application/json"
}

response = requests.put(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://alsona.com/rest/accounts/account_id/seats/seat_id/inbox/email/threads/thread_id';
const options = {
  method: 'PUT',
  headers: {'X-API-KEY': '<apiKey>', 'Content-Type': 'application/json'},
  body: '{"thread":{"labels":["inbox-leads"],"unread":false}}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://alsona.com/rest/accounts/account_id/seats/seat_id/inbox/email/threads/thread_id"

	payload := strings.NewReader("{\n  \"thread\": {\n    \"labels\": [\n      \"inbox-leads\"\n    ],\n    \"unread\": false\n  }\n}")

	req, _ := http.NewRequest("PUT", url, payload)

	req.Header.Add("X-API-KEY", "<apiKey>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://alsona.com/rest/accounts/account_id/seats/seat_id/inbox/email/threads/thread_id")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Put.new(url)
request["X-API-KEY"] = '<apiKey>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"thread\": {\n    \"labels\": [\n      \"inbox-leads\"\n    ],\n    \"unread\": false\n  }\n}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.put("https://alsona.com/rest/accounts/account_id/seats/seat_id/inbox/email/threads/thread_id")
  .header("X-API-KEY", "<apiKey>")
  .header("Content-Type", "application/json")
  .body("{\n  \"thread\": {\n    \"labels\": [\n      \"inbox-leads\"\n    ],\n    \"unread\": false\n  }\n}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('PUT', 'https://alsona.com/rest/accounts/account_id/seats/seat_id/inbox/email/threads/thread_id', [
  'body' => '{
  "thread": {
    "labels": [
      "inbox-leads"
    ],
    "unread": false
  }
}',
  'headers' => [
    'Content-Type' => 'application/json',
    'X-API-KEY' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://alsona.com/rest/accounts/account_id/seats/seat_id/inbox/email/threads/thread_id");
var request = new RestRequest(Method.PUT);
request.AddHeader("X-API-KEY", "<apiKey>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"thread\": {\n    \"labels\": [\n      \"inbox-leads\"\n    ],\n    \"unread\": false\n  }\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "X-API-KEY": "<apiKey>",
  "Content-Type": "application/json"
]
let parameters = ["thread": [
    "labels": ["inbox-leads"],
    "unread": false
  ]] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://alsona.com/rest/accounts/account_id/seats/seat_id/inbox/email/threads/thread_id")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "PUT"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```